List Recovery Topics
Last updated
Was this helpful?
PUT /profiles/restore/topics/{username}
Returns a list of available Hedera topics that can be used to restore the user's profile data asynchronously.
Authentication: Bearer token required (Authorization: Bearer <token>)
Permission: Permissions.PROFILES_RESTORE_ALL
username
string
Yes
The username of the user
{
"hederaAccountId": "0.0.4532001",
"hederaAccountKey": "302e020100300506032b657004220420..."
}hederaAccountId
string
Yes
The Hedera account ID
hederaAccountKey
string
Yes
The Hedera account private key
Status: 202 Accepted
Poll GET /tasks/{taskId} to retrieve the list of available recovery topics.
401 Unauthorized
Missing or invalid token
403 Forbidden
Insufficient permissions
500 Internal Server Error
Unexpected server failure
Last updated
Was this helpful?
Was this helpful?
{
"taskId": "63e3e5e8a01b3c001234abcd",
"expectation": "Get user topics"
}